Package ch.qos.logback.core.pattern

## Interface PostCompileProcessor<E>

All Known Implementing Classes:
  `EnsureExceptionHandling`, `EnsureLineSeparation`

    public interface PostCompileProcessor<E>

Implements this to perform post compile processing for a PatternLayout. For example, PatternLayout in the classic module should add a converter for exception handling (otherwise exceptions would not be printed).

Author:
  Ceki Gulcu

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `process​(Context context, Converter<E> head)` Post compile processing of the converter chain.

### Method Detail

#### process

    void process​(Context context,
                 Converter<E> head)

Post compile processing of the converter chain.

Parameters:
  `head` - The first converter in the chain